import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

// import uView from "uview-ui";
// Vue.use(uView);

// 此文件配置进入app即运行的方法
require('@/utils/run_now.js');

import "@/static/font/DIN/din.css";

import md5 from 'js-md5';
Vue.prototype.$md5 = md5;

import dayjs from 'dayjs';
Vue.prototype.$day = dayjs;

import cof from '@/static/config/in';
Vue.prototype.$cof = cof;

// 微信全局分享
import share from '@/utils/share.js'
Vue.mixin(share)

// js高精度计算
import highPrecision from "@/utils/highPrecision";
Vue.prototype.$h = highPrecision;

// 自动适配接口域名
import hosts from "@/request/config";
Vue.prototype.$hosts = hosts;

// 上传
import { up } from "@/utils/up";
Vue.prototype.$up = up;
// 页面跳转
import { goto } from '@/utils/myfun.js';
Vue.prototype.goto = goto;
// 专区判断
import { tidyTpye } from '@/utils/myfun.js';
Vue.prototype.tidyTpye = tidyTpye;

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()

Array.prototype.indexOf = function (val) {
    for (var i = 0; i < this.length; i++) {
        if (this[i] == val) return i;
    }
    return -1;
};
Array.prototype.remove = function (val) {
    var index = this.indexOf(val);
    if (index > -1) {
        this.splice(index, 1);
    }
};
Vue.directive('focus', {
    inserted: (el, binding) => {
        if (binding.value == true || binding.value == undefined) {
            el.focus()
        }
    }
});